import request from '@/utils/request'

// 查询测评选专业列表
export function listSyTestSelectMajor(query) {
  return request({
    url: '/sy/syTestSelectMajor/list',
    method: 'get',
    params: query
  })
}

// 查询测评选专业详细
export function getSyTestSelectMajor(id) {
  return request({
    url: '/sy/syTestSelectMajor/' + id,
    method: 'get'
  })
}

// 新增测评选专业
export function addSyTestSelectMajor(data) {
  return request({
    url: '/sy/syTestSelectMajor',
    method: 'post',
    data: data
  })
}

// 修改测评选专业
export function updateSyTestSelectMajor(data) {
  return request({
    url: '/sy/syTestSelectMajor',
    method: 'put',
    data: data
  })
}

// 删除测评选专业
export function delSyTestSelectMajor(id) {
  return request({
    url: '/sy/syTestSelectMajor/' + id,
    method: 'delete'
  })
}

// 导出测评选专业
export function exportSyTestSelectMajor(query) {
  return request({
    url: '/sy/syTestSelectMajor/export',
    method: 'get',
    params: query
  })
}